# Generated by Django 2.1.1 on 2018-09-15 14:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('virtualcontests', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AcceptedSolutions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('questionCode', models.CharField(max_length=10)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Questions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question_code', models.CharField(max_length=10)),
                ('question_name', models.TextField()),
                ('question_directory', models.TextField()),
                ('question_contest', models.CharField(max_length=20)),
            ],
        ),
    ]
